### Function

# Vips hash_table_map

#### Declaration [src]

    void*
    vips_hash_table_map (
      GHashTable* hash,
      VipsSListMap2Fn fn,
      void* a,
      void* b
    )

#### Description [src]

Like slist map, but for a hash table.

#### Parameters

`hash`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.

`fn`

  Type: `VipsSListMap2Fn`

  Function to apply to each hash value.

`a`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

`NULL` if `fn` returns `NULL` for all arguments, otherwise the first non-`NULL` value from `fn`.

The data is owned by the called function.
The return value can be `NULL`.